export declare abstract class PayloadTemplate {
    abstract process(inputJson: string, contextJson: string): Record<string, unknown>;
    protected abstract processPathKey(key: string, value: unknown, inputJson: string): Record<string, unknown>;
    protected isPathKey(path: string): boolean;
    protected isContextObjectPath(path: string): boolean;
    protected processPayloadTemplateEntry(key: string, value: unknown, inputJson: string): Record<string, unknown>;
    protected processPayloadTemplate(inputJson: string, payload?: Record<string, unknown>): any;
}
