import type { StateInfo } from './types/State';
export declare class StateInfoHandler {
    private static INSTANCE;
    private statesHandlersMap;
    private constructor();
    static getInstance(): StateInfoHandler;
    setStateInfo(stateMachineName: string, stateName: string, handlerPath: string, handlerName: string, environment: Record<string, string> | undefined): void;
    getStateInfo(stateMachineName: string, stateName: string): StateInfo | undefined;
}
