import { PayloadTemplateType } from '../src/types/State';
import { Context } from './Context/Context';
export declare class StateProcessor {
    static processInputPath(dataJson: string | undefined | null, inputPath: string | null | undefined): string;
    static processWaitForTokenParameters(dataJson: string | undefined | null, parameters: PayloadTemplateType, context: Context): string;
    static processParameters(dataJson: string | undefined | null, payloadTemplateInput?: PayloadTemplateType): string;
    static processResultPath(input: Record<string, unknown>, result: Record<string, unknown>, resultPath?: string): string;
    static processOutputPath(json: string, outputPath?: string): string;
}
