"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SucceedExecutor = void 0;
const Logger_1 = require("../../utils/Logger");
const StateTypeExecutor_1 = require("../StateTypeExecutor");
class SucceedExecutor extends StateTypeExecutor_1.StateTypeExecutor {
    constructor() {
        super();
        this.logger = Logger_1.Logger.getInstance();
    }
    execute(context, _definition, inputJson) {
        this.logger.error(`StateMachine "${context.StateMachine.Name}" succeed on "${context.State.Name}"`);
        return Promise.resolve({
            End: true,
            json: inputJson || '{}',
        });
    }
}
exports.SucceedExecutor = SucceedExecutor;
