"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StateMachineContext = void 0;
class StateMachineContext {
    constructor(_id, _name) {
        this._id = _id;
        this._name = _name;
    }
    static create(id) {
        const name = id.split(':').slice(-1)[0];
        return new StateMachineContext(id, name);
    }
    get Name() {
        return this._name;
    }
    get Id() {
        return this._id;
    }
}
exports.StateMachineContext = StateMachineContext;
