import { Context } from '../Context/Context';
import { PayloadTemplateType } from '../types/State';
import { WaitFotTokenPayloadTemplate } from './WaitForTokenPayloadTemplate';
export declare class LambdaWaitFotTokenPayloadTemplate extends WaitFotTokenPayloadTemplate {
    private readonly _payload;
    private readonly context;
    private static acceptableParameterProperties;
    constructor(_payload: PayloadTemplateType, context: Context);
    static create(payload: PayloadTemplateType, context: Context): LambdaWaitFotTokenPayloadTemplate;
    protected processPathKey(key: string, value: unknown, inputJson: string): Record<string, unknown>;
    process(inputJson: string): Record<string, unknown>;
}
