import { Context } from '../Context/Context';
import type { StateDefinition } from '../types/State';
import type { StateExecutorOutput } from '../types/StateExecutorOutput';
export declare abstract class StateTypeExecutor {
    abstract execute(context: Context, definition: StateDefinition, inputJson: string | undefined): Promise<StateExecutorOutput>;
    isWaitForTaskToken(resource?: string): boolean;
}
