import { StateTypeExecutor } from '../StateTypeExecutor';
import type { StateExecutorOutput } from '../../types/StateExecutorOutput';
import type { TaskStateDefinition } from '../../types/State';
import { Context } from '../../Context/Context';
export declare class TaskExecutor extends StateTypeExecutor {
    execute(context: Context, stateDefinition: TaskStateDefinition, inputJson: string | undefined): Promise<StateExecutorOutput>;
    isWaitForTaskToken(resource?: string): boolean;
    private dealWithError;
    private processInput;
    private processOutput;
    private getWebpackOrCommonFuction;
    private injectEnvVarsLambdaSpecific;
    private removeEnvVarsLambdaSpecific;
}
