import { TaskRetryRule } from './State';
import { StatesErrors } from './StatesErrors';
export declare class Retrier {
    private readonly _ErrorEquals;
    private readonly _IntervalSeconds;
    private readonly _MaxAttempts;
    private readonly _BackoffRate;
    private currentNumberOfRetries;
    private currentIntervalSeconds;
    private constructor();
    static create(taskRetryRule: TaskRetryRule): Retrier;
    retry(fn: () => any): Promise<any>;
    get ErrorEquals(): StatesErrors[];
}
