import type { StateDefinition } from './State';
export declare type StateMachineDefinition = {
    StartAt: string;
    States: {
        [stateName: string]: StateDefinition;
    };
};
export declare type StateMachine = {
    name: string;
    definition: StateMachineDefinition;
};
export declare type StateMachines = {
    [key: string]: StateMachine;
};
